using System.Collections.Generic;
using System.Text.Json.Serialization;

namespace AxCopilot.Models;

public class SystemCommandSettings
{
	[JsonPropertyName("showLock")]
	public bool ShowLock { get; set; } = true;

	[JsonPropertyName("showSleep")]
	public bool ShowSleep { get; set; } = true;

	[JsonPropertyName("showRestart")]
	public bool ShowRestart { get; set; } = true;

	[JsonPropertyName("showShutdown")]
	public bool ShowShutdown { get; set; } = true;

	[JsonPropertyName("showHibernate")]
	public bool ShowHibernate { get; set; } = false;

	[JsonPropertyName("showLogout")]
	public bool ShowLogout { get; set; } = true;

	[JsonPropertyName("showRecycleBin")]
	public bool ShowRecycleBin { get; set; } = true;

	[JsonPropertyName("commandAliases")]
	public Dictionary<string, List<string>> CommandAliases { get; set; } = new Dictionary<string, List<string>>();
}
